# lxc-setup.sh

This script provides an automated setup for building and compiling OpenWrt applications inside LXC (Linux Container) environments hosted on OpenWrt. It prepares the LXC environment, installs required tools, sets up SSH and SFTP configurations, and downloads the appropriate OpenWrt SDK based on user input. Post SDK download, it sets up language support and provides a mechanism for cloning and building a list of OpenWrt applications from a Git repository.

## Features

- Automated LXC environment setup and verification.
- SSH & SFTP setup for secure data transfers.
- Selection interface to choose target routers.
- Automated OpenWrt SDK download and extraction.
- Language support addition for OpenWrt applications.
- Git cloning and building of numerous OpenWrt apps from the specified repository.

## Requirements

1. The script should be run as `root`, `forge`, `homestead`, or `vagrant` user.
2. Ensure you have internet connectivity for apt updates and SDK downloads.
3. Hosted on OpenWrt.

## Usage

1. Clone the repository or download the `lxc-setup.sh` script.
2. Provide execute permissions:

   ```bash
   chmod +x lxc-setup.sh
